%define _modulesdir %_libdir/X11/modules
%define _hwdatadir %_datadir/hwdatabase/videoaliases
%define _fdidir %_datadir/hal/fdi/policy/20thirdparty

Name: xorg-drv-tdfx
Version: 1.4.1
Release: alt2
Serial: 1
Summary: 3Dfx video driver
License: MIT/X11
Group: System/X11
Url: http://xorg.freedesktop.org
Packager: Valery Inozemtsev <shrek@altlinux.ru>

Requires: XORG_ABI_VIDEODRV = %get_xorg_abi_videodrv
Requires: xorg-dri-tdfx xorg-extensions-glx
Provides: xorg-x11-drv-tdfx = %serial:%version-%release
Obsoletes: xorg-x11-drv-tdfx

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires(Pre): xorg-sdk
BuildRequires: libGL-devel xorg-proto-devel

%description
tdfx is an Xorg driver for 3Dfx video cards.

%prep
%setup -q
%patch -p1

%build
%autoreconf
%configure \
	--with-xorg-module-dir=%_modulesdir \
	--enable-dri \
	--disable-static

%make_build

%install
%make DESTDIR=%buildroot install

install -pD -m644 xf86-video-tdfx.xinf %buildroot%_hwdatadir/tdfx.xinf
install -pD -m644 11-x11-video-tdfx.fdi %buildroot%_fdidir/20-x11-video-tdfx.fdi

%files
%_modulesdir/drivers/*.so
%dir %_hwdatadir
%_hwdatadir/*.xinf
%_fdidir/20-x11-video-tdfx.fdi
%_man4dir/*

%changelog
* Fri Feb 27 2009 Valery Inozemtsev <shrek@altlinux.ru> 1:1.4.1-alt2
- requires XORG_ABI_VIDEODRV = 5.0

* Mon Dec 22 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.4.1-alt1
- 1.4.1

* Wed Aug 27 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.4.0-alt3
- requires XORG_ABI_VIDEODRV = 4.1

* Thu Jun 05 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.4.0-alt2
- renamed xorg-x11-drv-tdfx to xorg-drv-tdfx
- added requires XORG_ABI_VIDEODRV = 2.0
- converted xinf to fdi

* Wed Mar 19 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.4.0-alt1
- 1.4.0

* Mon Sep 10 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.3.0-alt4
- rebuild with xorg-server-1.4

* Thu Mar 15 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.3.0-alt3
- GIT snapshot 2007-03-14 (347b27bc79838d17cbbae2afb36ce968c1eba620)
  + add DDC2/I2C support to the tdfx driver

* Sun Feb 18 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.3.0-alt2
- drop xf86-video-tdfx-1.1.1-ddc2.patch (X server segfault on voodoo3)

* Thu Nov 23 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.3.0-alt1
- 1.3.0

* Thu Nov 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.2-alt2
- added videoaliases file from RH

* Sat Oct 14 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.2-alt1
- 1.2.2

* Thu Aug 31 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.1-alt2
- build for i586 and x86_64

* Sat May 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.1-alt1
- 1.2.1

* Wed Dec 28 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.1.3-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.1.1-alt1
- Xorg-7.0RC3

* Sun Nov 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.1-alt0.1
- initial release

